-- MONK ROLL SPELL: 
function GoH_Monk_MenuButton_Roll_OnClick()
	    if GoHv5_Monk_Data.config.Roll == "NO" then
	    	GoHv5_Monk_Data.config.Roll = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Roll = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK TIGER PALM SPELL: 
function GoH_Monk_MenuButton_Tiger_Palm_OnClick()
	    if GoHv5_Monk_Data.config.Tiger_Palm == "NO" then
	    	GoHv5_Monk_Data.config.Tiger_Palm = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Tiger_Palm.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Tiger_Palm = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK FLYING SERPENT KICK SPELL: 
function GoH_Monk_MenuButton_Flying_Serpent_Kick_OnClick()
	    if GoHv5_Monk_Data.config.Flying_Serpent_Kick == "NO" then
	    	GoHv5_Monk_Data.config.Flying_Serpent_Kick = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Cowabunga.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Flying_Serpent_Kick = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK RISING SUN KICK SPELL: 
function GoH_Monk_MenuButton_Rising_Sun_Kick_OnClick()
	    if GoHv5_Monk_Data.config.Rising_Sun_Kick == "NO" then
	    	GoHv5_Monk_Data.config.Rising_Sun_Kick = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Rising_Sun_Kick.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Rising_Sun_Kick = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK BLACKOUT KICK SPELL: 
function GoH_Monk_MenuButton_Blackout_Kick_OnClick()
	    if GoHv5_Monk_Data.config.Blackout_Kick == "NO" then
	    	GoHv5_Monk_Data.config.Blackout_Kick = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Blackout_kick.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Blackout_Kick = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK TOUCH OF DEATH SPELL: 
function GoH_Monk_MenuButton_Touch_Of_Death_OnClick()
	    if GoHv5_Monk_Data.config.Touch_Of_Death == "NO" then
	    	GoHv5_Monk_Data.config.Touch_Of_Death = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Ninja_1.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Touch_Of_Death = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK Fist Of Fury SPELL: 
function GoH_Monk_MenuButton_Fists_of_Fury_OnClick()
	    if GoHv5_Monk_Data.config.Fists_of_Fury == "NO" then
	    	GoHv5_Monk_Data.config.Fists_of_Fury = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fist_Of_Fury.mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Fists_of_Fury = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK LEG SWEEP SPELL: 
function GoH_Monk_MenuButton_Leg_Sweep_OnClick()
	    if GoHv5_Monk_Data.config.Leg_Sweep == "NO" then
	    	GoHv5_Monk_Data.config.Leg_Sweep = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_Monk_Data.config.Leg_Sweep = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end

-- MONK PARALYSIS SPELL: 
function GoH_Monk_MenuButton_Paralysis_OnClick()
	    if GoHv5_Monk_Data.config.Paralysis == "NO" then
	    	GoHv5_Monk_Data.config.Paralysis = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\All_Too_Easy_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Monk_Data.config.Paralysis = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Monk_Set_Menu_Button_Images();
end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Monk_Set_Menu_Button_Images()

		--Monk Sounds
	
	    --      MONK PARALYSIS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_PARALYSIS_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_PARALYSIS_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_PARALYSIS_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Paralysis == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_PARALYSIS_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Paralysis_Text:SetText("|cFF00AA00Paralysis|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_PARALYSIS_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Paralysis_Text:SetText("|cFFFF0000Paralysis|r");

		end
		
		--      MONK LEG SWEEP
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_LEG_SWEEP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_LEG_SWEEP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_LEG_SWEEP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Leg_Sweep == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_LEG_SWEEP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Leg_Sweep_Text:SetText("|cFF00AA00Leg Sweep|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_LEG_SWEEP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Leg_Sweep_Text:SetText("|cFFFF0000Leg Sweep|r");

		end

		--      MONK FISTS OF FURY
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_FISTS_OF_FURY_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_FISTS_OF_FURY_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_FISTS_OF_FURY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Fists_of_Fury == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_FISTS_OF_FURY_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Fists_of_Fury_Text:SetText("|cFF00AA00Fists of Fury|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_FISTS_OF_FURY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Fists_of_Fury_Text:SetText("|cFFFF0000Fists of Fury|r");

		end
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK TOUCH OF DEATH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_TOUCH_OF_DEATH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_TOUCH_OF_DEATH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_TOUCH_OF_DEATH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Touch_Of_Death == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_TOUCH_OF_DEATH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Touch_Of_Death_Text:SetText("|cFF00AA00Touch Of Death|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_TOUCH_OF_DEATH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Touch_Of_Death_Text:SetText("|cFFFF0000Touch Of Death|r");

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK BLACKOUT KICK
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_BLACKOUT_KICK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_BLACKOUT_KICK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_BLACKOUT_KICK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Blackout_Kick == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_BLACKOUT_KICK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Blackout_Kick_Text:SetText("|cFF00AA00Blackout Kick|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_BLACKOUT_KICK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
						-- CHANGE THE TEXT TO RED
		Monk_Blackout_Kick_Text:SetText("|cFFFF0000Blackout Kick|r");

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK RISING SUN KICK
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_RISING_SUN_KICK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_RISING_SUN_KICK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_RISING_SUN_KICK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Rising_Sun_Kick == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_RISING_SUN_KICK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Rising_Sun_Kick_Text:SetText("|cFF00AA00Rising Sun Kick|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_RISING_SUN_KICK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Rising_Sun_Kick_Text:SetText("|cFFFF0000Rising Sun Kick|r");

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK FLYING SERPENT KICK
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_FLYING_SERPENT_KICK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_FLYING_SERPENT_KICK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_FLYING_SERPENT_KICK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Flying_Serpent_Kick == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_FLYING_SERPENT_KICK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Flying_Serpent_Kick_Text:SetText("|cFF00AA00Flying Serpent Kick|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_FLYING_SERPENT_KICK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Flying_Serpent_Kick_Text:SetText("|cFFFF0000Flying Serpent Kick|r");

		end			
		
	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK TIGER PALM
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_TIGER_PALM_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_TIGER_PALM_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_TIGER_PALM_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Tiger_Palm == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_TIGER_PALM_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Tiger_Palm_Text:SetText("|cFF00AA00Tiger Palm|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_TIGER_PALM_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Tiger_Palm_Text:SetText("|cFFFF0000Tiger Palm|r");

		end		
		
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK ROLL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_MONK_ROLL_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_ROLL_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_MONK_ROLL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Monk_Data.config.Roll == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_MONK_ROLL_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Monk_Roll_Text:SetText("|cFF00AA00Roll|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_MONK_ROLL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Monk_Roll_Text:SetText("|cFFFF0000Roll|r");

		end
end


